GINQ_CHAR_UP_VEC(3NCARG)

NAME
ginq_char_up_vec - retrieves the current value of the character up vector

SYNOPSIS
#include <ncarg/gks.h>

void ginq_char_up_vec(Gint *err_ind, Gvec *char_up_vec);

DESCRIPTION

err_ind
    (Output) - If the inquired values cannot be returned correctly, a non-zero error indicator is returned in err_ind, otherwise a zero is returned. Consult "User's Guide for NCAR GKS-0A Graphics" for a description of the meaning of the error indicators.

char_up_vec.delta_x
    (Gfloat, Output) - Gives the X world coordinate of a the up vector.

char_up_vec.delta_y
    (Gfloat, Output) - Gives the Y world coordinate of a the up vector.

USAGE
The up vector is that vector formed by the two coordinate points (0.,0.) and (char_up_vec.delta_x,char_up_vec.delta_y). See gset_char_up_vec for more details on the meaning of the character up vector.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gtext(3NCARG), gset_text_path(3NCARG), gset_text_align(3NCARG), gset_text_font_prec(3NCARG), gset_char_ht(3NCARG), gset_char_space(3NCARG), gset_char_up_vec(3NCARG), gset_char_expan(3NCARG), gset_colr_rep(3NCARG), gset_text_colr_ind(3NCARG), ginq_text_path(3NCARG), ginq_text_align(3NCARG), ginq_text_font_prec(3NCARG), ginq_char_ht(3NCARG), ginq_char_space(3NCARG), ginq_char_expan(3NCARG), plotchar(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.